Change user email
POST /user/email/change
POST
/user/email/change
Request to change the authenticated user’s email address. A verification email will be sent to the new address to confirm the change. Requires elevated permissions.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”New email address and optional redirect URL for email change
object
newEmail
required
A valid email
string format: email
Example
john.smith@nhost.io options
object
redirectTo
string format: uri
Example
https://my-app.com/catch-redirectionResponses
Section titled “ Responses ”Email change requested. An email with a verification link has been sent to the new address
string
default
Section titled “default ”An error occurred while processing the request
Standardized error response
object
status
required
HTTP status error code
integer
Example
400 message
required
Human-friendly error message
string
Example
Invalid email format error
required
Error code identifying the specific application error
string